#!/bin/sh
#mulot.tcl
# \
exec wish "$0" ${1+"$@"}

#*************************************************************************
#  Copyright (C) 2002 Andr Connes <davidlucardi@aol.com>
#  Copyright (C) 2002 Andr Connes <andre.connes@toulouse.iufm.fr>
# 
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
# 
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# 
#**************************************************************************
#  File  : mulot.tcl
#  Author  : Andr Connes <andre.connes@toulouse.iufm.fr>
#  Modifier:
#  Date    : 15/04/2003 modifi le 30/04/2004
#  Licence : GNU/GPL Version 2 ou plus
# 
#  Description:
#  ------------
# 
#  @version    $Id: mulot.tcl,v 1.3 2004/05/06 09:39:00 abuledu_andre Exp $
#  @author     Andr Connes
#  @modifier   
#  @project    Le terrier
#  @copyright  Andr Connes
# 
#***********************************************************************
global sysFont glob

source mulot.conf
source msg.tcl
source fonts.tcl
source path.tcl

set basedir [file dir $argv0]
cd $basedir

#wm resizable . 0 0
. configure -background blue
wm geometry . +0+0
wm title . "[mc {title_m}]"

if {![file exists [file join $glob(home_mulot) reglages repert.conf]]} {
	file mkdir [file join $glob(home_mulot)]
	file mkdir [file join $glob(home_mulot) reglages]
        file copy -force [file join reglages repert.conf] [file join $glob(home_mulot) reglages]
}

if {![file exists [file join  $glob(trace_dir)]]} {
	file mkdir [file join $glob(trace_dir)]
}

proc forcer_nom {} {
  global glob
  set w [toplevel .wnom -borderwidth 10]
  wm geometry $w +200+300
  message $w.message -text [mc {donner_nom}]
  entry $w.entry -textvariable glob(win_nom)
  button $w.ok -text Ok -command { set glob(ok) 1 }
  pack $w.message $w.entry $w.ok -side top -fill x

  bind .wnom <Return> { set glob(ok) 1 }

  focus $w.entry
  grab $w
  tkwait variable glob(ok)
  grab release $w
  destroy $w
  if { $glob(ok) } {
    if { [string length $glob(win_nom)] == 0 } {
      set glob(win_nom) "eleve"
    }
    set glob(trace_user) "$glob(trace_dir)/$glob(win_nom)"
  }
}

if { $glob(platform) == "windows" } {
  forcer_nom ;# forcer la lecture de glob(trace_user)
  # sauver trace_user
  set f [open [file join $glob(home_mulot) reglages trace_user] "w"]
  puts $f $glob(trace_user)
  close $f
}


if { [catch {package require Iwidgets}] == 1} {
tk_messageBox -message "Il est ncessaire d'installer le package Iwidgets"
}

proc lanceappli {appli niveau} {
	set appli [file join $appli]
	exec wish $appli $niveau &
}

proc showaide {signet} {
  catch {
    option add *textBackground seashell

    set win [iwidgets::hyperhelp .#auto -title "Aide" -modality none -topics {aide}]
    $win showtopic aide#$signet
    $win activate
  }
}

bind . <F1> "showaide aide"

###########################################################################################""
proc interface {} {
  global c sysFont glob progaide

  #########################
  # 	Barre de menus	#
  #-----------------------#

  # Creation du menu utilise comme barre de menu:
  catch {destroy .menu}
  catch {destroy .frame}

  menu .menu -tearoff 0

  # Creation du menu Fichier
  menu .menu.fichier -tearoff 0
  .menu add cascade -label [mc {Fichier}] -menu .menu.fichier
  .menu.fichier add command -label [mc {Ajouter}] -command "lanceappli ajouter_mulot.tcl 0"
  .menu.fichier add command -label [mc {Effacer}] -command "lanceappli effacer_mulot.tcl 0"
  .menu.fichier add separator
  .menu.fichier add command -label [mc {Quitter}] -command exit

  menu .menu.action -tearoff 0
  .menu add cascade -label [mc {Activits}] -menu .menu.action
  .menu.action add command -label [mc {Survoler}] -command "lanceappli play_mulot.tcl 0"
  .menu.action add command -label [mc {Cliquer}] -command "lanceappli play_mulot.tcl 1"
  .menu.action add command -label [mc {Parcourir}] -command "lanceappli parcourir_mulot.tcl 0"
  .menu.action add command -label [mc {Glisser/Dposer}] -command "lanceappli glisser_mulot.tcl 0"

  menu .menu.aide -tearoff 0
  .menu add cascade -label "Aide" -menu .menu.aide
  .menu.aide add command -label [mc {Aide}] -command "exec $progaide aide.html &"
  .menu.aide add command -label [mc { propos ...}] -command "source apropos.tcl"

  . configure -menu .menu

  #######################################################################"
  . configure -background blue
  frame .frame -background blue -height 300 -width 200
  pack .frame -side top -fill both -expand yes
  ###################On cre un canvas####################################

  set c .frame.c
  canvas $c -width $glob(width) -height $glob(height) -bg blue -highlightbackground blue
  pack $c -expand true

  button $c.survoler \
        -image [image create photo -file sysdata/survoler.gif] \
        -borderwidth 10 -cursor heart \
        -command "lanceappli play_mulot.tcl 0"
  grid $c.survoler -column 0 -row 0 -sticky e -padx 10 -pady 10
  button $c.cliquer \
        -image [image create photo -file sysdata/cliquer.gif] \
        -borderwidth 10 -cursor heart \
        -command "lanceappli play_mulot.tcl 1"
  grid $c.cliquer -column 1 -row 0 -sticky e -padx 10 -pady 10

  button $c.parcourir \
        -image [image create photo -file sysdata/parcourir.gif] \
        -borderwidth 10 -cursor heart \
        -command "lanceappli parcourir_mulot.tcl 0"
  grid $c.parcourir -column 0 -row 1 -sticky e -padx 10 -pady 10

  button $c.glisser \
        -image [image create photo -file sysdata/glisser.gif] \
        -borderwidth 10 -cursor heart \
        -command "lanceappli glisser_mulot.tcl 0"
  grid $c.glisser -column 1 -row 1 -sticky e -padx 10 -pady 10

  button $c.quitter \
        -image [image create photo -file sysdata/quitter.gif] \
        -borderwidth 10 -cursor heart \
        -command exit
  grid $c.quitter -column 2 -row 1 -sticky e -padx 10 -pady 10

  set myimage [image create photo -file sysdata/background.gif]
  label $c.imagedisplayer -image $myimage -background blue
  grid $c.imagedisplayer -column 2 -row 0 -sticky e

  label $c.nimages -bg blue
  grid $c.nimages -column 1 -row 2

  set im_liste [glob images/*.*]
  set nmanque [expr $glob(nvignettes) - [llength $im_liste]] 
  if { $nmanque >0 } {
    $c.nimages configure -text "[mc {ajouter_images}] $nmanque" -bg red
    bell
    # j'aimerai effacer le message avec after mais je n'y arrive pas
    # $c.nimages configure -text "--------------" -bg blue
  }

}

############
# Bindings #
############
bind . <Control-q> {exit}

interface

